> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Using room templates and task lists

> Learn about how to use Room templates and task lists to create predefined data sets that you can reuse each time you create a new room.

You can save time and simplify your company’s processes by using a *room template* and one or more *task lists* when you create a new room. For example, if your company has a common set of steps and requirements for each mortgage loan transaction, you could create a room template containing that common task list data and use it to pre-populate each new mortgage loan room. This would ensure that every time someone creates a mortgage loan transaction room, it would also include all of the required tasks.

Templates are created for one side of a transaction (if in [Rooms for Real Estate](https://www.docusign.com/products/rooms-for-real-estate?_gl=1*av7kpr*_gcl_au*MTk3ODAwMTU2NC4xNzY2MTc1ODQ3/)), are locked to a region/office, and may contain one or more task lists. The tasks defined in a task list hold the bulk of template data and can include:

* Due dates
* Required assignee actions and permissions associated with the task
* Descriptions of the documents associated with the task
* The roles which have actions associated with the task
* Reminders, and when they will be delivered

  **Note:** A single task list may be part of multiple templates, so long as they are set to the same region/office.

## Create a room from a template

Before creating a room from a template, you should first:

1. **Add a Task list**. Task lists contain one or more tasks that room members can complete. See [Create Task List Templates to Group Common Transaction Activities ](https://support.docusign.com/s/document-item?language=en_US\&bundleId=clr1643042075783\&topicId=lkn1572968392044.html&*LANG=enus&_gl=1*sy1ig8*_gcl_au*MTI0OTM5NDAwMi4xNzU4NzUwNzU4LjUyODkwODgzLjE3NjYwODM2MTMuMTc2NjA4MzYxMw..*FPAU*MTI0OTM5NDAwMi4xNzU4NzUwNzU4) for details on how to create a task list.
2. **Define a room template**, which contains your task list. See [Create Room Templates to Auto-Populate New Rooms With Task Lists](https://support.docusign.com/s/document-item?language=en_US\&bundleId=hyt1643056100211\&topicId=bir1572968393341.html&_LANG=enus&_gl=1*u4uc6o*_gcl_au*MTI0OTM5NDAwMi4xNzU4NzUwNzU4LjUyODkwODgzLjE3NjYwODM2MTMuMTc2NjA4MzYxMw..*FPAU*MTI0OTM5NDAwMi4xNzU4NzUwNzU4) for details on how to create a room template.

Once you have a template, you can use it to create a new room with the Rooms UI or the [Rooms:CreateRoom](/docs/rooms-api/reference/rooms/rooms/createroom) method. See [Create Room Templates to Auto-Populate New Rooms With Task List](https://support.docusign.com/s/document-item?language=en_US&_gl=1*2dduy3*_gcl_au*MTI0OTM5NDAwMi4xNzU4NzUwNzU4LjUyODkwODgzLjE3NjYwODM2MTMuMTc2NjA4MzYxMw..*FPAU*MTI0OTM5NDAwMi4xNzU4NzUwNzU4\&bundleId=clr1643042075783\&topicId=bir1572968393341.html&_LANG=enus) for details on how to create a room with a template using the UI.

To create a room from your template with the API [Rooms:CreateRoom](/docs/rooms-api/reference/rooms/rooms/createroom) method, you must provide the ID of the template to be used in the body of the request.

> **Note:** To find your API Account ID, log in to [eSignature Admin](https://admindemo.docusign.com/) and select **Apps and Keys** in the **Integrations** section of the left nav bar to open the **API and Integration Key Information** page. Your API Account ID is shown in the **My Account Information** section.

The following example API call demonstrates how to create a room from a previously defined template:

> **Note:** You can get the IDs of your templates by using the [RoomTemplates:GetRoomTemplates](/docs/rooms-api/reference/roomtemplates/roomtemplates/getroomtemplates) method, which will return data about all of the room templates you can access.

These examples require the following data:

| Requirement     | Description                                                                                                                                                                                                                           |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| \{ACCESS_TOKEN} | An access token with the Docusign `dtr.rooms.write` scope. See [Authentication](/docs/rooms-api/rooms101/auth) for details on obtaining an access token.                                                                              |
| `roleId`        | The ID of the role assigned to the room owner. You can get the list of roles for your account using the [Roles:GetRoles](/docs/rooms-api/reference/roles/roles/getroles) method.                                                      |
| `templateId`    | The ID of a template belonging to your account. You can get the list of templates defined for your account using the [RoomTemplates:GetRoomTemplates](/docs/rooms-api/reference/roomtemplates/roomtemplates/getroomtemplates) method. |
| `officeId`      | The ID of an office belonging to your account. You can get the list of offices for your account using the [Offices:GetOffices](/docs/rooms-api/reference/offices/offices/getoffices) method.                                          |

See [how to create a Room with a template](/docs/rooms-api/how-to/create-room-with-template) for a more detailed, in-depth code example demonstrating how to create a new room using a template in a variety of languages.

**`PowerShell`**

```text title="PowerShell"
$headers = New-Object
"System.Collections.Generic.Dictionary[[String],[String]]"
$headers.add("Authorization","Bearer {ACCESS_TOKEN}")
$headers.add("Accept", "application/json")
$headers.add("Content-Type", "application/json")
$body = @"
{
  "name": "Example Property 2818 SW Alaska St",
  "roleId": 292949,
  "templateId": 1140,
  "transactionSideId": "listbuy",
  "officeId": 11570
}
"@
$uri = "https://demo.rooms.docusign.com/restapi/v2/accounts/{ACCOUNT_ID}/rooms"
$result = Invoke-WebRequest -headers $headers -Uri $uri -Method POST -Body $body
$result.Content
```

**`Curl`**

```bash title="Curl"
declare -a Headers=('--header' "Authorization: Bearer {ACCESS_TOKEN}" \
                    '--header' "Accept: application/json" \
                    '--header' "Content-Type: application/json")
request_data=$(mktemp /tmp/request-rm-001.XXXXXX)
printf \
'{
  "name": "Example Property 2818 SW Alaska St",
  "roleId": 292949,
  "templateId": 1140,
  "transactionSideId": "listbuy",
  "officeId": 11570
}
' >> $request_data
response=$(mktemp /tmp/response-rm.XXXXXX)
curl --request POST https://demo.rooms.docusign.com/restapi/v2/accounts/{ACCOUNT_ID}/rooms \
     "${Headers[@]}" \
     --data-binary @${request_data} \
     --output ${response}
echo ""
echo "Response:"
cat $response
echo ""
# Remove the temporary files
rm "$request_data"
rm "$response"
```

## Next steps

* [Create Task List Templates to Group Common Transaction Activities](https://support.docusign.com/s/document-item?language=en_US\&bundleId=clr1643042075783\&topicId=lkn1572968392044.html&*LANG=enus&_gl=1*1940b4v*_gcl_au*MTI0OTM5NDAwMi4xNzU4NzUwNzU4LjUyODkwODgzLjE3NjYwODM2MTMuMTc2NjA4MzYxMw..*FPAU*MTI0OTM5NDAwMi4xNzU4NzUwNzU4)
* [Create Room Templates to Auto-Populate New Rooms With Task Lists](https://support.docusign.com/s/document-item?language=en_US\&bundleId=hyt1643056100211\&topicId=bir1572968393341.html&_LANG=enus&_gl=1*u4uc6o*_gcl_au*MTI0OTM5NDAwMi4xNzU4NzUwNzU4LjUyODkwODgzLjE3NjYwODM2MTMuMTc2NjA4MzYxMw..*FPAU*MTI0OTM5NDAwMi4xNzU4NzUwNzU4)
* [Create Room Templates to Auto-Populate New Rooms With Task List](https://support.docusign.com/s/document-item?language=en_US&_gl=1*2dduy3*_gcl_au*MTI0OTM5NDAwMi4xNzU4NzUwNzU4LjUyODkwODgzLjE3NjYwODM2MTMuMTc2NjA4MzYxMw..*FPAU*MTI0OTM5NDAwMi4xNzU4NzUwNzU4\&bundleId=clr1643042075783\&topicId=bir1572968393341.html&_LANG=enus)
* [How to create a room with a template](/docs/rooms-api/how-to/create-room-with-template)